# mysqlpp::scoped_var_set< T > Class Template Reference

Sets a variable to a given value temporarily. More...

Collaboration diagram for mysqlpp::scoped_var_set< T >:

[legend]
List of all members.

## Public Member Functions

| scoped_var_set (T &var, T new_value)
| Create object, saving old value, setting new value.
| ~scoped_var_set ()
| Destroy object, restoring old value.

## Detailed Description

### template<class T>
class mysqlpp::scoped_var_set< T >

Sets a variable to a given value temporarily.

Saves existing value, sets new value, and restores old value when the object is destroyed. Used to set a flag in an exception-safe manner.

The documentation for this class was generated from the following file:

- connection.cpp